## cascading.flow.stream
Class DuctGraph

    java.lang.Object
      org.jgrapht.graph.AbstractGraph<V,E>
          org.jgrapht.graph.AbstractBaseGraph<V,E>
              org.jgrapht.graph.SimpleDirectedGraph<Duct,DuctGraph.Ordinal>
                  cascading.flow.stream.DuctGraph

All Implemented Interfaces:
  Serializable, Cloneable, org.jgrapht.DirectedGraph<Duct,DuctGraph.Ordinal>, org.jgrapht.Graph<Duct,DuctGraph.Ordinal>

    public class DuctGraph

extends org.jgrapht.graph.SimpleDirectedGraph<Duct,DuctGraph.Ordinal>

See Also:
  Serialized Form

Nested Class Summary
`static class` `DuctGraph.Ordinal`

Constructor Summary
`DuctGraph()`

Method Summary
`DuctGraph.Ordinal` `makeOrdinal(int ordinal)`

Methods inherited from class org.jgrapht.graph.AbstractBaseGraph
`addEdge, addEdge, addVertex, clone, containsEdge, containsVertex, degreeOf, edgeSet, edgesOf, getAllEdges, getEdge, getEdgeFactory, getEdgeSource, getEdgeTarget, getEdgeWeight, incomingEdgesOf, inDegreeOf, isAllowingLoops, isAllowingMultipleEdges, outDegreeOf, outgoingEdgesOf, removeEdge, removeEdge, removeVertex, setEdgeSetFactory, setEdgeWeight, vertexSet`

Methods inherited from class org.jgrapht.graph.AbstractGraph
`assertVertexExist, containsEdge, removeAllEdges, removeAllEdges, removeAllEdges, removeAllVertices, toString, toStringFromSets`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.jgrapht.DirectedGraph
`incomingEdgesOf, inDegreeOf, outDegreeOf, outgoingEdgesOf`

Methods inherited from interface org.jgrapht.Graph
`addEdge, addEdge, addVertex, containsEdge, containsEdge, containsVertex, edgeSet, edgesOf, getAllEdges, getEdge, getEdgeFactory, getEdgeSource, getEdgeTarget, getEdgeWeight, removeAllEdges, removeAllEdges, removeAllVertices, removeEdge, removeEdge, removeVertex, vertexSet`

Constructor Detail

### DuctGraph

    public DuctGraph()

Method Detail

### makeOrdinal

    public DuctGraph.Ordinal makeOrdinal(int ordinal)

Copyright © 2007-2014 Concurrent, Inc. All Rights Reserved.